root/Makefile.in

Revision 5, 12.5 KB (checked in by nick, 3 years ago)
Line 
1# Makefile.in generated automatically by automake 1.5 from Makefile.am.
2
3# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
4# Free Software Foundation, Inc.
5# This Makefile.in is free software; the Free Software Foundation
6# gives unlimited permission to copy and/or distribute it,
7# with or without modifications, as long as this notice is preserved.
8
9# This program is distributed in the hope that it will be useful,
10# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
11# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
12# PARTICULAR PURPOSE.
13
14@SET_MAKE@
15
16SHELL = @SHELL@
17
18srcdir = @srcdir@
19top_srcdir = @top_srcdir@
20VPATH = @srcdir@
21prefix = @prefix@
22exec_prefix = @exec_prefix@
23
24bindir = @bindir@
25sbindir = @sbindir@
26libexecdir = @libexecdir@
27datadir = @datadir@
28sysconfdir = @sysconfdir@
29sharedstatedir = @sharedstatedir@
30localstatedir = @localstatedir@
31libdir = @libdir@
32infodir = @infodir@
33mandir = @mandir@
34includedir = @includedir@
35oldincludedir = /usr/include
36pkgdatadir = $(datadir)/@PACKAGE@
37pkglibdir = $(libdir)/@PACKAGE@
38pkgincludedir = $(includedir)/@PACKAGE@
39top_builddir = .
40
41ACLOCAL = @ACLOCAL@
42AUTOCONF = @AUTOCONF@
43AUTOMAKE = @AUTOMAKE@
44AUTOHEADER = @AUTOHEADER@
45
46INSTALL = @INSTALL@
47INSTALL_PROGRAM = @INSTALL_PROGRAM@
48INSTALL_DATA = @INSTALL_DATA@
49INSTALL_SCRIPT = @INSTALL_SCRIPT@
50INSTALL_HEADER = $(INSTALL_DATA)
51transform = @program_transform_name@
52NORMAL_INSTALL = :
53PRE_INSTALL = :
54POST_INSTALL = :
55NORMAL_UNINSTALL = :
56PRE_UNINSTALL = :
57POST_UNINSTALL = :
58AMTAR = @AMTAR@
59AWK = @AWK@
60CXX = @CXX@
61CXXFLAGS = @CXXFLAGS@
62DEPDIR = @DEPDIR@
63EXEEXT = @EXEEXT@
64HAVE_READLINE = @HAVE_READLINE@
65INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
66OBJEXT = @OBJEXT@
67PACKAGE = @PACKAGE@
68VERSION = @VERSION@
69am__include = @am__include@
70am__quote = @am__quote@
71install_sh = @install_sh@
72
73SUBDIRS = man src config
74
75EXTRA_DIST = LICENSE INSTALL README TODO ChangeLog
76
77MAINTAINERCLEANFILES = Makefile.in aclocal.m4 configure configuration.h.in \
78                       stamp-h.in
79
80subdir = .
81ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
82mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83CONFIG_HEADER = config.h
84CONFIG_CLEAN_FILES =
85DIST_SOURCES =
86
87RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
88        uninstall-info-recursive all-recursive install-data-recursive \
89        install-exec-recursive installdirs-recursive install-recursive \
90        uninstall-recursive check-recursive installcheck-recursive
91DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
92        Makefile.am Makefile.in NEWS TODO aclocal.m4 config.h.in \
93        configure configure.ac
94DIST_SUBDIRS = $(SUBDIRS)
95all: config.h
96        $(MAKE) $(AM_MAKEFLAGS) all-recursive
97
98.SUFFIXES:
99$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
100        cd $(top_srcdir) && \
101          $(AUTOMAKE) --gnu  Makefile
102Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
103        cd $(top_builddir) && \
104          CONFIG_HEADERS= CONFIG_LINKS= \
105          CONFIG_FILES=$@ $(SHELL) ./config.status
106
107$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
108        $(SHELL) ./config.status --recheck
109$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
110        cd $(srcdir) && $(AUTOCONF)
111
112$(ACLOCAL_M4):  configure.ac
113        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
114config.h: stamp-h
115        @if test ! -f $@; then \
116                rm -f stamp-h; \
117                $(MAKE) stamp-h; \
118        else :; fi
119stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
120        @rm -f stamp-h stamp-hT
121        @echo timestamp > stamp-hT 2> /dev/null
122        cd $(top_builddir) \
123          && CONFIG_FILES= CONFIG_HEADERS=config.h \
124             $(SHELL) ./config.status
125        @mv stamp-hT stamp-h
126$(srcdir)/config.h.in:  $(srcdir)/./stamp-h.in
127        @if test ! -f $@; then \
128                rm -f $(srcdir)/./stamp-h.in; \
129                $(MAKE) $(srcdir)/./stamp-h.in; \
130        else :; fi
131$(srcdir)/./stamp-h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
132        @rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
133        @echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
134        cd $(top_srcdir) && $(AUTOHEADER)
135        @mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in
136
137distclean-hdr:
138        -rm -f config.h
139uninstall-info-am:
140
141# This directory's subdirectories are mostly independent; you can cd
142# into them and run `make' without going through this Makefile.
143# To change the values of `make' variables: instead of editing Makefiles,
144# (1) if the variable is set in `config.status', edit `config.status'
145#     (which will cause the Makefiles to be regenerated when you run `make');
146# (2) otherwise, pass the desired values on the `make' command line.
147$(RECURSIVE_TARGETS):
148        @set fnord $(MAKEFLAGS); amf=$$2; \
149        dot_seen=no; \
150        target=`echo $@ | sed s/-recursive//`; \
151        list='$(SUBDIRS)'; for subdir in $$list; do \
152          echo "Making $$target in $$subdir"; \
153          if test "$$subdir" = "."; then \
154            dot_seen=yes; \
155            local_target="$$target-am"; \
156          else \
157            local_target="$$target"; \
158          fi; \
159          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
160           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
161        done; \
162        if test "$$dot_seen" = "no"; then \
163          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
164        fi; test -z "$$fail"
165
166mostlyclean-recursive clean-recursive distclean-recursive \
167maintainer-clean-recursive:
168        @set fnord $(MAKEFLAGS); amf=$$2; \
169        dot_seen=no; \
170        case "$@" in \
171          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
172          *) list='$(SUBDIRS)' ;; \
173        esac; \
174        rev=''; for subdir in $$list; do \
175          if test "$$subdir" = "."; then :; else \
176            rev="$$subdir $$rev"; \
177          fi; \
178        done; \
179        rev="$$rev ."; \
180        target=`echo $@ | sed s/-recursive//`; \
181        for subdir in $$rev; do \
182          echo "Making $$target in $$subdir"; \
183          if test "$$subdir" = "."; then \
184            local_target="$$target-am"; \
185          else \
186            local_target="$$target"; \
187          fi; \
188          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
189           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
190        done && test -z "$$fail"
191tags-recursive:
192        list='$(SUBDIRS)'; for subdir in $$list; do \
193          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
194        done
195
196tags: TAGS
197
198ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
199        list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
200        unique=`for i in $$list; do \
201            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
202          done | \
203          $(AWK) '    { files[$$0] = 1; } \
204               END { for (i in files) print i; }'`; \
205        mkid -fID $$unique $(LISP)
206
207TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
208                $(TAGS_FILES) $(LISP)
209        tags=; \
210        here=`pwd`; \
211        list='$(SUBDIRS)'; for subdir in $$list; do \
212          if test "$$subdir" = .; then :; else \
213            test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
214          fi; \
215        done; \
216        list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
217        unique=`for i in $$list; do \
218            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
219          done | \
220          $(AWK) '    { files[$$0] = 1; } \
221               END { for (i in files) print i; }'`; \
222        test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
223          || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)
224
225GTAGS:
226        here=`CDPATH=: && cd $(top_builddir) && pwd` \
227          && cd $(top_srcdir) \
228          && gtags -i $(GTAGS_ARGS) $$here
229
230distclean-tags:
231        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
232
233DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
234
235top_distdir = .
236# Avoid unsightly `./'.
237distdir = $(PACKAGE)-$(VERSION)
238
239GZIP_ENV = --best
240
241distdir: $(DISTFILES)
242        -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
243        mkdir $(distdir)
244        @for file in $(DISTFILES); do \
245          if test -f $$file; then d=.; else d=$(srcdir); fi; \
246          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
247          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
248            $(mkinstalldirs) "$(distdir)/$$dir"; \
249          fi; \
250          if test -d $$d/$$file; then \
251            cp -pR $$d/$$file $(distdir) \
252            || exit 1; \
253          else \
254            test -f $(distdir)/$$file \
255            || cp -p $$d/$$file $(distdir)/$$file \
256            || exit 1; \
257          fi; \
258        done
259        for subdir in $(SUBDIRS); do \
260          if test "$$subdir" = .; then :; else \
261            test -d $(distdir)/$$subdir \
262            || mkdir $(distdir)/$$subdir \
263            || exit 1; \
264            (cd $$subdir && \
265              $(MAKE) $(AM_MAKEFLAGS) \
266                top_distdir="$(top_distdir)" \
267                distdir=../$(distdir)/$$subdir \
268                distdir) \
269              || exit 1; \
270          fi; \
271        done
272        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
273          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
274          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
275          ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
276        || chmod -R a+r $(distdir)
277dist: distdir
278        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
279        -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
280
281# This target untars the dist file and tries a VPATH configuration.  Then
282# it guarantees that the distribution is self-contained by making another
283# tarfile.
284distcheck: dist
285        -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
286        GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
287        chmod -R a-w $(distdir); chmod a+w $(distdir)
288        mkdir $(distdir)/=build
289        mkdir $(distdir)/=inst
290        chmod a-w $(distdir)
291        dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
292          && cd $(distdir)/=build \
293          && ../configure --srcdir=.. --prefix=$$dc_install_base \
294          && $(MAKE) $(AM_MAKEFLAGS) \
295          && $(MAKE) $(AM_MAKEFLAGS) dvi \
296          && $(MAKE) $(AM_MAKEFLAGS) check \
297          && $(MAKE) $(AM_MAKEFLAGS) install \
298          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
299          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
300          && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
301             || (echo "Error: files left after uninstall" 1>&2; \
302                 exit 1) ) \
303          && $(MAKE) $(AM_MAKEFLAGS) dist \
304          && $(MAKE) $(AM_MAKEFLAGS) distclean \
305          && rm -f $(distdir).tar.gz \
306          && (test `find . -type f -print | wc -l` -eq 0 \
307             || (echo "Error: files left after distclean" 1>&2; \
308                 exit 1) )
309        -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
310        @echo "$(distdir).tar.gz is ready for distribution" | \
311          sed 'h;s/./=/g;p;x;p;x'
312check-am: all-am
313check: check-recursive
314all-am: Makefile config.h
315installdirs: installdirs-recursive
316installdirs-am:
317
318install: install-recursive
319install-exec: install-exec-recursive
320install-data: install-data-recursive
321uninstall: uninstall-recursive
322
323install-am: all-am
324        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
325
326installcheck: installcheck-recursive
327install-strip:
328        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
329          `test -z '$(STRIP)' || \
330            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
331mostlyclean-generic:
332
333clean-generic:
334
335distclean-generic:
336        -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
337
338maintainer-clean-generic:
339        @echo "This command is intended for maintainers to use"
340        @echo "it deletes files that may require special tools to rebuild."
341        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
342clean: clean-recursive
343
344clean-am: clean-generic mostlyclean-am
345
346dist-all: distdir
347        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
348        -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
349distclean: distclean-recursive
350        -rm -f config.status config.cache config.log
351distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
352
353dvi: dvi-recursive
354
355dvi-am:
356
357info: info-recursive
358
359info-am:
360
361install-data-am:
362
363install-exec-am:
364
365install-info: install-info-recursive
366
367install-man:
368
369installcheck-am:
370
371maintainer-clean: maintainer-clean-recursive
372
373maintainer-clean-am: distclean-am maintainer-clean-generic
374
375mostlyclean: mostlyclean-recursive
376
377mostlyclean-am: mostlyclean-generic
378
379uninstall-am: uninstall-info-am
380
381uninstall-info: uninstall-info-recursive
382
383.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
384        clean-generic clean-recursive dist dist-all distcheck distclean \
385        distclean-generic distclean-hdr distclean-recursive \
386        distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
387        info-recursive install install-am install-data install-data-am \
388        install-data-recursive install-exec install-exec-am \
389        install-exec-recursive install-info install-info-am \
390        install-info-recursive install-man install-recursive \
391        install-strip installcheck installcheck-am installdirs \
392        installdirs-am installdirs-recursive maintainer-clean \
393        maintainer-clean-generic maintainer-clean-recursive mostlyclean \
394        mostlyclean-generic mostlyclean-recursive tags tags-recursive \
395        uninstall uninstall-am uninstall-info-am \
396        uninstall-info-recursive uninstall-recursive
397
398# Tell versions [3.59,3.63) of GNU make to not export all variables.
399# Otherwise a system limit (for SysV at least) may be exceeded.
400.NOEXPORT:
Note: See TracBrowser for help on using the browser.